Notify Message
Forums
Page 1
Search
#8617648 Oct 24, 2013 at 12:32 AM
Site Admin
116 Posts
The Fate 1.21 patch, recently released at http://www.fatethegame.com, is designed to work only with the versions of Fate purchased from http://www.wildgames.com and on CD from http://www.wildtangentstuff.com.

This patch is not compatible with other versions of Fate purchased at other websites than those mentioned above. When we release a new patch, those websites will be able to update with new versions of the game that will be available from their own websites. Anyone using a copy of the game purchased from one of those websites should simply install the new version as released by the website they purchased the game from.
+0
Page 1